
Pre-Development - Bug #19757

FE - React - Organisation profile ,User Role , Message Template - Got error when search the search

criteria form

14 February 2024 03:50 PM - Hazimi Muhammad

Status: Feedback Start date: 14 February 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Issue :

Go to organisation profile -> fill the search criteria inside the accordion -> click search button -> got error 500 as screenshot

Expected :

Go to organisation profile -> fill the search criteria inside the accordion -> click search button -> can be search and no error

History

#1 - 14 February 2024 04:40 PM - Hazimi Muhammad

- File WhatsApp Image 2024-02-14 at 4.39.33 PM.jpeg added

- Subject changed from FE - React - Organisation profile - Got error when search the search criteria form to FE - React - Organisation profile ,User

Role - Got error when search the search criteria form

Same issue happen in user role also.

#2 - 16 February 2024 11:02 AM - Hazimi Muhammad

- Subject changed from FE - React - Organisation profile ,User Role - Got error when search the search criteria form to FE - React - Organisation

profile ,User Role , Message Template - Got error when search the search criteria form

- Assignee changed from Amirul Umar Pandai to chok yee fan

Organisation profile ,User Role , Message Template got the same error

#3 - 28 February 2024 03:13 PM - chok yee fan

- Assignee changed from chok yee fan to Zaid Haritsah

#4 - 05 March 2024 02:48 PM - Zaid Haritsah

- Status changed from New to In Progress

- Assignee changed from Zaid Haritsah to Hazimi Muhammad

- % Done changed from 0 to 50

Managed to fix the issue by updating the code as there is logical and syntax error in the method and query.

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/6016090bbab2be48283b8859579e2da4b94e9fc5

#5 - 05 March 2024 03:07 PM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to Zaid Haritsah
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/6016090bbab2be48283b8859579e2da4b94e9fc5


Fix for Organisation profile but cannot stimulate for User Role and Message Template

Go to organisation profile -> fill the search criteria inside the accordion -> click search button -> can be search and no error

Issue:

Go to User Role -> fill the search criteria inside the accordion -> click search button -> got error 500 as screenshot

#6 - 07 March 2024 02:01 PM - Zaid Haritsah

- % Done changed from 50 to 70

Managed to replicate the issue mentioned and fixed the searchAction for UserRole page.

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/a97e7b0ff0d633de9afe8af2bb2094c9e8863b0e

Will proceed and update for the changes in Message Template next.

#7 - 07 March 2024 03:10 PM - Zaid Haritsah

- Status changed from In Progress to Resolved

- Assignee changed from Zaid Haritsah to Hazimi Muhammad

- % Done changed from 70 to 100

Managed to troubleshoot and fix the issue in Message Template.

There was an issue with existing message template table in local db. dropped the table with issue and rerun the mleb_trackdb to get the latest.

resolved the issue

#8 - 07 March 2024 03:19 PM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been solve

Been check for

Organisation profile ,

User Role ,

Message Template

Go to Organisation profile -> fill the search criteria inside the accordion -> click search button -> can be search and no error

Files

WhatsApp Image 2024-02-14 at 3.43.26 PM.jpeg 107 KB 14 February 2024 Hazimi Muhammad
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/a97e7b0ff0d633de9afe8af2bb2094c9e8863b0e


WhatsApp Image 2024-02-14 at 4.39.33 PM.jpeg 81.2 KB 14 February 2024 Hazimi Muhammad
